package com.bonus.canteen.core.pay.common.dto;

import java.math.BigDecimal;

public class MixPayResultDTO {
   private Long tradeChannelId;
   private Integer code;
   private BigDecimal unpaidBalance;

   public Long getTradeChannelId() {
      return this.tradeChannelId;
   }

   public Integer getCode() {
      return this.code;
   }

   public BigDecimal getUnpaidBalance() {
      return this.unpaidBalance;
   }

   public MixPayResultDTO setTradeChannelId(final Long tradeChannelId) {
      this.tradeChannelId = tradeChannelId;
      return this;
   }

   public MixPayResultDTO setCode(final Integer code) {
      this.code = code;
      return this;
   }

   public MixPayResultDTO setUnpaidBalance(final BigDecimal unpaidBalance) {
      this.unpaidBalance = unpaidBalance;
      return this;
   }
}
